//
//  CGRectEx.swift
//  SubmitTransition
//
//  Created by Takuya Okamoto on 2015/08/07.
//  Copyright (c) 2015年 Uniface. All rights reserved.
//

import UIKit

extension CGRect {
    var x: CGFloat {
        get {
            return self.origin.x
        }
        set {
            self = CGRect(x:newValue, y:self.y, width:self.width, height:self.height)
        }
    }
    
    var y: CGFloat {
        get {
            return self.origin.y
        }
        set {
            self = CGRect(x:self.x, y:newValue, width:self.width, height:self.height)
        }
    }
    
    var width: CGFloat {
        get {
            return self.size.width
        }
        set {
            self = CGRect(x:self.x, y:newValue, width:self.width, height:self.height)
        }
    }
    
    var height: CGFloat {
        get {
            return self.size.height
        }
        set {
            self = CGRect(x:self.x, y:newValue, width:self.width, height:self.height)
        }
    }
    
    
    var top: CGFloat {
        get {
            return self.origin.y
        }
        set {
            y = newValue
        }
    }
    
    var bottom: CGFloat {
        get {
            return self.origin.y + self.size.height
        }
        set {
            self = CGRect(x:x, y:newValue - height, width:width, height:height)
        }
    }
    
    var left: CGFloat {
        get {
            return self.origin.x
        }
        set {
            self.x = newValue
        }
    }
    
    var right: CGFloat {
        get {
            return x + width
        }
        set {
            self = CGRect(x:newValue - width, y:y, width:width, height:height)
        }
    }
    
    
    var midX: CGFloat {
        get {
            return self.x + self.width / 2
        }
        set {
            self = CGRect(x:newValue - width / 2, y:y, width:width, height:height)
        }
    }
    
    var midY: CGFloat {
        get {
            return self.y + self.height / 2
        }
        set {
            self = CGRect(x:x, y:newValue - height / 2, width:width, height:height)
        }
    }
    

    var center: CGPoint {
        get {
            return CGPoint(x:self.midX, y:self.midY)
        }
        set {
            self = CGRect(x:newValue.x - width / 2, y:newValue.y - height / 2, width:width, height:height)
        }
    }
}
